lzma_index_hash_s Struct Reference

## Public Types

enum | { SEQ_BLOCK , SEQ_COUNT , SEQ_UNPADDED , SEQ_UNCOMPRESSED , SEQ_PADDING_INIT , SEQ_PADDING , SEQ_CRC32 }

## Data Fields

enum lzma_index_hash_s:: { ... } | sequence
lzma_index_hash_info | blocks
| Information collected while decoding the actual Blocks. More...
lzma_index_hash_info | records
| Information collected from the Index field. More...
lzma_vli | remaining
| Number of Records not fully decoded. More...
lzma_vli | unpadded_size
| Unpadded Size currently being read from an Index Record. More...
lzma_vli | uncompressed_size
| Uncompressed Size currently being read from an Index Record. More...
size_t | pos
uint32_t | crc32
| CRC32 of the Index. More...

## Field Documentation

## blocks

lzma_index_hash_info lzma_index_hash_s::blocks

Information collected while decoding the actual Blocks.

## records

lzma_index_hash_info lzma_index_hash_s::records

Information collected from the Index field.

## remaining

lzma_vli lzma_index_hash_s::remaining

Number of Records not fully decoded.

## unpadded_size

lzma_vli lzma_index_hash_s::unpadded_size

Unpadded Size currently being read from an Index Record.

## uncompressed_size

lzma_vli lzma_index_hash_s::uncompressed_size

Uncompressed Size currently being read from an Index Record.

## pos

size_t lzma_index_hash_s::pos

Position in variable-length integers when decoding them from the List of Records.

## crc32

uint32_t lzma_index_hash_s::crc32

CRC32 of the Index.

The documentation for this struct was generated from the following file:

- liblzma/common/index_hash.c